%global         srcname     azure-mgmt-datalake-analytics

Name:           python-%{srcname}
Version:        0.2.1
Release:        5%{?dist}
Summary:        Microsoft Azure Data Lake Analytics Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Data Lake Analytics Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the customized wheel builder included by Microsoft that adds
# azure-mgmt-nspkg to the requirements.
sed -i '/^azure-namespace-package/d' setup.cfg
rm -f azure_bdist_wheel.py

# Fix line endings.
sed -i 's/\r$//' README.rst

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/datalake/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/datalake/analytics
%{python3_sitelib}/azure_mgmt_datalake_analytics-%{version}.dist-info


%changelog
* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.1-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.2.1-4
- Update wheel builder removal patch

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.2.1-3
- Update docs files list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.2.1-2
- Add epoch number for 0.2.1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.2.1-1
- Downgrade to 0.2.1

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> - 0.6.0-3
- Remove unneccessary __init__.py files to avoid file conflicts.

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> - 0.6.0-2
- Remove custom wheel builder to avoid adding azure-mgmt-nspkg requirement.

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 0.6.0-1
- First package.
